      subroutine papmd(ig,sgn,g,u1,p1,u2,p2,u3,mat)
c----------------------------------------------------------------------c
c Returns a matrix element array for the a triple pi+pi-photon 
c vertex of the scalar QED
c
c Input: ig=0(fixed coupling g)/else(running coupling g),
c        sgn=+1, if scalars are writen in order pi-pi+,
c            -1, if scalars are writen in order pi+pi-,
c        u1 - vector array,
c        u2 - scalar array,
c        n1,n2,n - numbers of polarization states,
c        p1,p2 - momenta,
c        g - a triple pi+pi-photon coupling,
c All four momenta are cosidered as incoming to the vertex.
c
c Karol Kolodziej, University of Silesia, karol.kolodziej@us.edu.pl
c 11 May, 2009; modified on 
c 19 March, 2015 (call to subroutine runcoupl implemented)
c----------------------------------------------------------------------c

      implicit none

      integer, parameter :: dp=kind(1.d0)
      integer :: ig,sgn
      real(dp), dimension(0:3) :: p1,p2,p
      complex(dp) :: g,rg,u1,u2(0:3),u3,mat

      p=-p1-p2

      if (ig == 0) then
       rg=g
      else
       call runcoupl(ig,p,rg)
      end if

      mat=sgn*rg*u1*u3*(u2(0)*(p1(0)-p(0))-u2(1)*(p1(1)-p(1))
     &                 -u2(2)*(p1(2)-p(2))-u2(3)*(p1(3)-p(3)))

      end subroutine papmd
