      subroutine ssssmd(g,u1,u2,u3,u4,mat)
c----------------------------------------------------------------------c
c Returns a matrix element being a contraction of a quartic scalar boson 
c vertex with four scalars
c
c Input: u1,u2,u3,u4 - scalars,
c        g - a quartic scalar-boson coupling.
c All four momenta are cosidered as incoming to the vertex.
c
c Karol Kolodziej, University of Silesia, kolodzie@us.edu.pl
c 20 May, 2007; modified 
c 6 April, 2015:
c an extra minus sign, resulting from missing i^2 if a quartic coupling 
c is present, introduced
c----------------------------------------------------------------------c

      implicit none

      integer, parameter :: dp=kind(1.d0)

      complex(dp) :: u1(1),u2(1),u3(1),u4(1),g,mat

      mat=-g*u1(1)*u2(1)*u3(1)*u4(1)

      end subroutine ssssmd
