      module mytypes

      use maxvals

      type extptcl
c g = 1,2,3 - family index, g = 0 for a boson;
c f = 1-neutrino, 2-charged lepton, 3-up quark, 4-down quark;
c g = 0 => f = 0-Higgs, 1-photon, 2-Z, 3-W, 4-gluon, 5-photon and Z;
c i = 1-particle, -1-antiparticle;
c o = -1 incoming, 1-outgoing, 0-internal boson;
c n - number of polarization states;
c e - number of external particles involved in the index sequence ix;
c j - a particle number according to the MC particle numbering scheme
c ct = 1/3/8 for a color singlet/triplet/octet state,
c mc - label of the MC summing phase
c k(1) is the vertex number,
c k(2), k(3) and possibly k(4) are numbers of the particles of which the vertex 

      integer :: i,o,g,f,n,e,j,ct,mc
      integer :: k(4)
      integer, pointer :: ix(:),ip(:)
      character(6) m,w
      end type extptcl

      type particle
c wr = 1/0, if the particle has been already written/has not yet been written 
c      to a file
c ct = 1/3/8, for a color singlet/triplet/octet state
c mx = 0/1/2, if the particle has not been mixed yet/has been checked for
c mixing with other particles/has been already mixed with another particle,
c im - collection of labels of particles that mix with the particle,
c dm - size of the mixing matrix im,
c k(1) is the vertex number,
c k(2), k(3) and possibly k(4) are numbers of the particles of which the vertex 
c      was created

      integer :: wr,ct,mx,dm
      integer :: k(4)
      integer, pointer :: ip(:),im(:)
      end type particle

      end module mytypes
