      subroutine runcoupl(ig,p,rg)
c----------------------------------------------------------------------c
c Returns a complex running coupling rg at the scale p^2
c
c Input: ig=1,2,3,... - running coupling options, 
c                       should be implemented by the user,
c        p - four momentum incoming to the vertex.
c
c Karol Kolodziej, University of Silesia, karol.kolodziej@us.edu.pl
c 19 March, 2015; modified on 
c----------------------------------------------------------------------c

      use inprms 
      use couplsmkk

      implicit none

      integer :: ig
      real(dp) :: p(0:3),s
      complex(dp) :: rg

      s=p(0)**2-p(1)**2-p(2)**2-p(3)**2

      if (ig == 1) then
       rg=app
      else if (ig == 2) then
       rg=r0pp
      else
       write(*,*)'runcoupl.f: ig=',ig,' is not implemented'
      end if

      end subroutine runcoupl
